Loading...
Searching...
No Matches
RDGeom::Grid3D< VectorType, ValueType1, ValueType2 > Class Template Referenceabstract

Virtual base class for a grid object. More...

`#include <Grid3D.h>`

## Public Member Functions

virtual | ~Grid3D ()
virtual int | getGridPointIndex (const Point3D &point) const =0
virtual ValueType1 | getVal (const Point3D &point) const =0
virtual void | setVal (const Point3D &point, ValueType2 val)=0
virtual Point3D | getGridPointLoc (unsigned int pointId) const =0
virtual ValueType2 | getVal (unsigned int pointId) const =0
virtual void | setVal (unsigned int pointId, ValueType2 val)=0
virtual unsigned int | getSize () const =0
virtual const VectorType * | getOccupancyVect () const =0

## Detailed Description

template<typename VectorType, typename ValueType1, typename ValueType2>
class RDGeom::Grid3D< VectorType, ValueType1, ValueType2 >

Virtual base class for a grid object.

Definition at line 39 of file Grid3D.h.

## Constructor & Destructor Documentation

## ~Grid3D()

template<typename VectorType , typename ValueType1 , typename ValueType2 >

virtual RDGeom::Grid3D< VectorType, ValueType1, ValueType2 >::~Grid3D | ( |  | ) |

inline virtual

Definition at line 41 of file Grid3D.h.

## Member Function Documentation

## getGridPointIndex()

template<typename VectorType , typename ValueType1 , typename ValueType2 >

virtual int RDGeom::Grid3D< VectorType, ValueType1, ValueType2 >::getGridPointIndex | ( | const Point3D & | point | ) | const

pure virtual

Implemented in RDGeom::UniformGrid3D, and RDGeom::UniformRealValueGrid3D.

## getGridPointLoc()

template<typename VectorType , typename ValueType1 , typename ValueType2 >

virtual Point3D RDGeom::Grid3D< VectorType, ValueType1, ValueType2 >::getGridPointLoc | ( | unsigned int | pointId | ) | const

pure virtual

Implemented in RDGeom::UniformGrid3D, and RDGeom::UniformRealValueGrid3D.

## getOccupancyVect()

template<typename VectorType , typename ValueType1 , typename ValueType2 >

virtual const VectorType * RDGeom::Grid3D< VectorType, ValueType1, ValueType2 >::getOccupancyVect | ( |  | ) | const

pure virtual

Implemented in RDGeom::UniformGrid3D, and RDGeom::UniformRealValueGrid3D.

## getSize()

template<typename VectorType , typename ValueType1 , typename ValueType2 >

virtual unsigned int RDGeom::Grid3D< VectorType, ValueType1, ValueType2 >::getSize | ( |  | ) | const

pure virtual

Implemented in RDGeom::UniformGrid3D, and RDGeom::UniformRealValueGrid3D.

## getVal() [1/2]

template<typename VectorType , typename ValueType1 , typename ValueType2 >

virtual ValueType1 RDGeom::Grid3D< VectorType, ValueType1, ValueType2 >::getVal | ( | const Point3D & | point | ) | const

pure virtual

Implemented in RDGeom::UniformGrid3D, and RDGeom::UniformRealValueGrid3D.

## getVal() [2/2]

template<typename VectorType , typename ValueType1 , typename ValueType2 >

virtual ValueType2 RDGeom::Grid3D< VectorType, ValueType1, ValueType2 >::getVal | ( | unsigned int | pointId | ) | const

pure virtual

Implemented in RDGeom::UniformGrid3D, and RDGeom::UniformRealValueGrid3D.

## setVal() [1/2]

template<typename VectorType , typename ValueType1 , typename ValueType2 >

virtual void RDGeom::Grid3D< VectorType, ValueType1, ValueType2 >::setVal | ( | const Point3D & | point,
|  | ValueType2 | val
| ) |  |

pure virtual

Implemented in RDGeom::UniformGrid3D, and RDGeom::UniformRealValueGrid3D.

## setVal() [2/2]

template<typename VectorType , typename ValueType1 , typename ValueType2 >

virtual void RDGeom::Grid3D< VectorType, ValueType1, ValueType2 >::setVal | ( | unsigned int | pointId,
|  | ValueType2 | val
| ) |  |

pure virtual

Implemented in RDGeom::UniformRealValueGrid3D, and RDGeom::UniformGrid3D.

The documentation for this class was generated from the following file:

- Grid3D.h